Skip to content

Bots ​

Create, configure, archive and restore bots. 9 endpoints

GET /bots​

/api/v1/bots · Needs a session

Example

bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots' \
  -H "Authorization: Bearer $LEX_TOKEN"

POST /bots​

/api/v1/bots · Needs a session

Request body

FieldTypeRequiredNotes
namestringyeslength 1–80
descriptionstringlength 0–500
avatarstringlength 0–16
characterobject
character.outfit"default" | "casual" | "pro" | "cool" | "female"yes
character.hatstringpattern ^#[0-9a-fA-F]{6}$
character.accessory"none" | "glasses" | "sunglasses"
defaultMode"nalar" | "patih" | "cendikia"
instructionsstringlength 0–8000
ownComputerAccessboolean
ttsVoicestring | null
realtimeVoicestring | null

Example

bash
curl -X POST 'https://api.lexcetha.com/api/v1/bots' \
  -H "Authorization: Bearer $LEX_TOKEN" \
  -H 'Content-Type: application/json' \
  -d '{"name":"string"}'

GET /bots/archived​

/api/v1/bots/archived · Needs a session

Example

bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/archived' \
  -H "Authorization: Bearer $LEX_TOKEN"

GET /bots/{botId}​

/api/v1/bots/{botId} · Needs a session

Parameters

FieldTypeRequiredNotes
botId (path)stringyes

Example

bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/:botId' \
  -H "Authorization: Bearer $LEX_TOKEN"

PATCH /bots/{botId}​

/api/v1/bots/{botId} · Needs a session

Parameters

FieldTypeRequiredNotes
botId (path)stringyes

Request body

FieldTypeRequiredNotes
namestringlength 1–80
descriptionstringlength 0–500
avatarstringlength 0–16
characterobject
character.outfit"default" | "casual" | "pro" | "cool" | "female"yes
character.hatstringpattern ^#[0-9a-fA-F]{6}$
character.accessory"none" | "glasses" | "sunglasses"
defaultMode"nalar" | "patih" | "cendikia"
instructionsstringlength 0–8000
ownComputerAccessboolean
ttsVoicestring | null
realtimeVoicestring | null

Example

bash
curl -X PATCH 'https://api.lexcetha.com/api/v1/bots/:botId' \
  -H "Authorization: Bearer $LEX_TOKEN" \
  -H 'Content-Type: application/json' \
  -d '{}'

DELETE /bots/{botId}​

/api/v1/bots/{botId} · Needs a session

Parameters

FieldTypeRequiredNotes
botId (path)stringyes

Example

bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/bots/:botId' \
  -H "Authorization: Bearer $LEX_TOKEN"

GET /bots/{botId}/activity​

/api/v1/bots/{botId}/activity · Needs a session

Parameters

FieldTypeRequiredNotes
botId (path)stringyes

Example

bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/:botId/activity' \
  -H "Authorization: Bearer $LEX_TOKEN"

POST /bots/{botId}/restore​

/api/v1/bots/{botId}/restore · Needs a session

Parameters

FieldTypeRequiredNotes
botId (path)stringyes

Example

bash
curl -X POST 'https://api.lexcetha.com/api/v1/bots/:botId/restore' \
  -H "Authorization: Bearer $LEX_TOKEN"

DELETE /bots/{botId}/permanent​

/api/v1/bots/{botId}/permanent · Needs a session

Parameters

FieldTypeRequiredNotes
botId (path)stringyes

Example

bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/bots/:botId/permanent' \
  -H "Authorization: Bearer $LEX_TOKEN"

Lex by Gavalytics AI